<%
/******************************************************************************
 * Copyright (c) 2000-2004 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous êtes autorisés à modifier ce code source uniquement pour votre usage
 * propre et sous réserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'état. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donnée. En aucun cas E-DEAL ne pourra être tenu pour
 * responsable des dommages pouvant résulter de l'utilisation de ce code
 * source.
 *
 *
 ******************************************************************************/
%>
<%@ page session="true" contentType="text/html; charset=UTF-8" %>
<%@ page import="com.edeal.frontline.navigation.FlRequest" %>
<%@ page import="com.edeal.frontline.FlContext" %>
<%@ page import="com.edeal.frontline.DataDictionary" %>
<%@ page import="com.edeal.frontline.FieldNotInitializedException" %>
<%@ page import="com.edeal.frontline.Utils" %>
<%@ page import="com.edeal.frontline.helper.custom.ListHelper" %>
<%@ page import="com.edeal.frontline.helper.XMLHelper" %>
<%@ taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<link rel="stylesheet" type="text/css" href="<fl:webapp/>/css/smalltabs_css.jsp">
<jsp:useBean class="com.edeal.frontline.ListBean" id="List" scope="request"/>
<%
final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
FlRequest flRequest = new FlRequest(request);
FlContext context = flRequest.getContext();
DataDictionary dico = context.getDataDictionary();

String id = flRequest.getParameter("id");
String description = null;
try{
	description = List.getLstContent();
}catch(FieldNotInitializedException e){
}
ListHelper listHelper = new ListHelper(List);
description = XMLHelper.formatToColoredXML(description);
boolean isValid = false;
String errorMsg = listHelper.isXMLValid();
isValid = Utils.isEmpty(errorMsg);
%>
<script type="text/javascript">
$(function(){
	$('#xmlContainer').attr('style', 'overflow-y:hidden;overflow-x:auto;width: '+($(window).width()-290)+'px');
});
</script>
<fl:bigTabs objectTitle="<%= Utils.getMessage(session, \"L6459\", \"Fiche liste\") %>" ou="<%= \"/read_list.fl?id=\" + List.getID()%>">
		<table class="container" cellpadding="0">
			<tr>
				<td colspan="3" class="titreFiche">
					<fl:getProperty name="List" property="LstName" alt=""/>
				</td>
			</tr>
		</table>
		<table class="container" cellpadding="0">
			<tr class="ligne_separation">
				<td></td>
			</tr>
			<tr>
				<td class="column2">
					<table class="data_column" cellpadding="0" border=0>
						<fl:fieldRead property="LstCode"/>
						<tr class="fieldline">
							<td class="dataLabel"><fl:label code="L6471"/></td>
							<td class="dataValue">
							<% 
								String label = null;
								try {
									label = List.getLstLabel();
								} catch (FieldNotInitializedException fnie) {
								}
							%>
							<%= label == null ? "&nbsp;" : Utils.getMessage(session, label,  Utils.getMessage(session, "L60E0", "<non spécifié>")) %>
							</td>
						</tr>
					</table>
				</td>
				<td class="separation"><div class="separation"></div></td>
				<td class="column2">
					<table class="data_column" cellpadding="0" border=0>
						<tr class="fieldline">
							<td class="dataLabel"><fl:label code="L6472"/></td>
							<td class="dataValue">
								<% 
									try {
										label = (String)List.getLstDispCrit();
									} catch (FieldNotInitializedException fnie) {
										label = null;
									}
									%>
								<%= label == null ? "&nbsp;" : Utils.getMessage(session, label,  Utils.getMessage(session, "L60E0", "<non spécifié>")) %>
							</td>
						</tr>
						<fl:fieldRead property="LstObjID" bean="true"/>
					</table>
				</td>
			</tr>
		</table>
		<table class="container" cellpadding="0">
		<tr class="ligne_separation"><td colspan="3">&nbsp;</td></tr>
		<tr>
			<td class="titrePartie" style="text-align: left;"><fl:getMessage code="L2007" alt="Description"/></td>
			<td style="text-align: right">
				<label title="<fl:getMessage code="<%= (isValid ? \"L65A9\" : \"\") %>" alt="<%= (isValid ? \"XML valide\":errorMsg) %>"/>">
					<img src="<fl:webapp/><%= (isValid ? "/icons/bigvalid.gif" : "/icons/bigvalid_non.gif") %>">
				</label>
			</td>
		</tr>
			
		<tr class="ligne_separation_couleur"><td colspan="3"></td></tr>
		<tr class="ligne_separation"><td colspan="3">&nbsp;</td></tr>
		<tr>
			<td class="dataValue" colspan="3">
				<div id="xmlContainer">
					<pre><%=description %></pre>
				</div>
			</td>
		</tr>
		<tr class="ligne_separation"><td colspan="3">&nbsp;</td></tr>
	</table>
</fl:bigTabs>
